%define pkgname anjuta

%define major 0
%define libname %mklibname %{pkgname} %major
%define libnamedev %mklibname %{pkgname} %major -d

Summary:	Integrated development environment for C and C++ (Linux)
Name:		%{pkgname}2
Version:	2.0.2
Release:	%mkrel 3
License:	GPL
Group:		Development/Other
URL:		http://anjuta.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/anjuta/%{pkgname}-%{version}.tar.bz2
Patch0:		anjuta-2.0.0-alt-packagename.patch
Patch1: 	anjuta-2.0.1-link.patch
Patch2: 	anjuta-2.0.2-fix-compile-with-nls.patch
BuildRequires:	perl-XML-Parser
BuildRequires:	libgladeui-devel >= 3.0.0
BuildRequires:	gtk+2-devel >= 2.4.0
BuildRequires:	libORBit2-devel >= 2.6
BuildRequires:	libgnome2-devel >= 2.6
BuildRequires:	libglade2.0-devel >= 2.3.0
BuildRequires:	libgnomeui2-devel >= 2.6.0
BuildRequires:	libgnomeprintui-devel >= 2.4.0
BuildRequires:	gnome-vfs2-devel >= 2.6.0
BuildRequires:	libxml2-devel >= 2.4.23
BuildRequires:	pango-devel >= 1.8
BuildRequires:	libgdl-devel >= 0.5
BuildRequires:	libxslt-devel
BuildRequires:	devhelp-devel >= 0.9
BuildRequires:	libgladeui-devel >= 3.0.0
BuildRequires:	libvte-devel >= 0.9.0
BuildRequires:	libautogen-devel
BuildRequires:	autogen
BuildRequires:	gnome-build-devel >= 0.1.1
#BuildRequires:	subversion
#BuildRequires:	subversion-devel
BuildRequires:	gtksourceview-devel
BuildRequires:	gnome-common
BuildRequires:	apr-util-devel
BuildRequires:	binutils-devel
BuildRequires:	pcre-devel
BuildRequires:	neon-devel
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gnome-doc-utils
BuildRequires:	apr-devel >= 1.2.2
BuildRequires:	libgd-devel
BuildRequires:	libgraphviz-devel >= 2.2.1
BuildRequires:	scrollkeeper
BuildRequires:	glade3-devel
BuildRequires:  howl-devel
BuildRequires:	ImageMagick
BuildRequires:	intltool
Provides:	anjuta = %{version}
Conflicts:	anjuta < 2
Conflicts:	%{libnamedev} < 2.0.2-3
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-buildroot

%description
Anjuta is a versatile IDE for C and C++, written for GTK/GNOME. Features
include project management, application wizards, an onboard interactive
debugger, and a powerful source editor with browsing and syntax
highlighting.

This version of anjuta is the GNOME 2 port of anjuta 1.0, which
was for GNOME 1.x originally. The one written from scratch and
for GNOME 2 from the start has been renamed "Scaffold".

This is an alpha & unstable release and may not be suitable for production use.
However, we encourage to use it and help us with bug reports.
Both stable and development release can be used simultaneously,
but they should be installed in different install prefix (important).

%package -n %{libname}
Summary: Anjuta 2 libraries
Group: System/Libraries

%description -n %{libname}
Anjuta 2 libraries

%package -n %{libnamedev}
Summary: Anjuta 2 devel files
Group: Development/Other
Requires: %libname = %version
Provides: libanjuta-devel = %version-%release
Conflicts: %name < 2.0.2-3


%description -n %{libnamedev}
Anjuta 2 devel files 

%prep
%setup -q -n %{pkgname}-%{version}
%{__perl} -pi -e "s|\<%_name\>|%name|g" anjuta.desktop.in.in
%{__perl} -pi -e "s|%_name/|%name/|g" global-tags/Makefile.am plugins/class-gen/Makefile.am
#mv %name. mime/anjuta*
%{__perl} -pi -e "s| %_name\.| %name.|g" mime/Makefile.am
%{__perl} -pi -e "s|^GETTEXT_PACKAGE=%_name$|GETTEXT_PACKAGE=%name|" configure.in
%{__perl} -pi -e 's|update-mime-database .*;|	echo;|' mime/Makefile.am
%patch0
%patch1 -p1
%patch2 -p0

%build
%__rm -f missing
NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
    --with-apr-config=/usr/bin/apr-1-config \
    --disable-static \
    --disable-plugin-glade \
    --enable-plugin-valgrind \
    --enable-plugin-scintilla \
    --enable-plugin-sourceview \
    --enable-plugin-class-inheritance \
    --enable-final \
    --enable-optimize \
    --enable-gtk-doc 
make

%install
rm -rf %{buildroot}
%makeinstall_std
cat global-tags/create_global_tags.sh | sed -e s/'PROGDIR=.'/'PROGDIR=\/usr\/bin'/ > %{buildroot}%{_datadir}/%name/create_global_tags.sh
chmod 755 %{buildroot}%{_datadir}/%{name}/create_global_tags.sh

# make a link in /usr/share/pixmaps
pushd %buildroot%_datadir/pixmaps
%__ln_s -f %name/anjuta_icon.png %name.png
popd

mv $RPM_BUILD_ROOT%{_datadir}/applications/anjuta.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/anjuta" \
title="Anjuta IDE" \
longtitle="Anjuta Integrated Development Environment for C/C++" \
needs="x11" \
icon="%{name}.png" \
section="More Applications/Development/Development Environments" \
startup_notify="yes" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="IDE" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-DevelopmentEnvironments" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       pixmaps/applogo.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/applogo.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/applogo.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{pkgname} --with-gnome
 
# remove unneeded and conflictive files
rm -f %{buildroot}%{_libdir}/libanjuta*.la \
      %{buildroot}%{_libdir}/libanjuta*.a \
      %{buildroot}%{_datadir}/mime/XMLnamespaces \
      %{buildroot}%{_datadir}/mime/aliases \
      %{buildroot}%{_datadir}/mime/globs \
      %{buildroot}%{_datadir}/mime/magic \
      %{buildroot}%{_datadir}/mime/subclasses
rm -rf %{buildroot}/%{_docdir}

%clean
rm -rf %{buildroot}

%define schemas anjuta-valgrind

%post
cd %{_datadir}/anjuta2
./create_global_tags.sh
%update_menus
%update_scrollkeeper
%post_install_gconf_schemas %{schemas}
%update_icon_cache hicolor
%update_mime_database

%post -n %libname -p /sbin/ldconfig

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_menus
%clean_scrollkeeper
%clean_icon_cache hicolor
%clean_mime_database

%postun -n %libname -p /sbin/ldconfig

%files -f %{pkgname}.lang
%defattr(-,root,root) 
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_libdir}/%name/*.plugin
%_libdir/%name/*.so
%{_datadir}/%name/*
%{_datadir}/application-registry/anjuta.applications
%{_datadir}/applications/%name.desktop
%{_datadir}/gtk-doc/html/libanjuta/*
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-anjuta.png
%{_datadir}/man/man1/anjuta.1.*
%{_datadir}/man/man1/anjuta_launcher.1.*
%{_datadir}/mime-info/anjuta.keys
%{_datadir}/mime-info/anjuta.mime
#%{_datadir}/mime/application/x-anjuta.xml
%{_datadir}/mime/packages/anjuta.xml
%{_datadir}/pixmaps/%name.png
%{_datadir}/pixmaps/%name/*
%{_datadir}/anjuta/class-templates/*
%{_datadir}/icons/hicolor/48x48/apps/anjuta_icon.png
%{_datadir}/icons/hicolor/scalable/apps/anjuta_icon.svg
%{_datadir}/omf/%name/*.omf
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

#%files -n %name-devel
#%{_libdir}/pkgconfig/libanjuta-1.0.pc
#%{_datadir}/%name/indent_test.*
#%{_datadir}/%name/project/gnome/src/
#%{_datadir}/%name/project/terminal/src/
#%{_datadir}/%name//usr/share/anjuta2/project/xlib/src/
#%{_datadir}/%name//usr/share/anjuta2/project/gtk/src/
#%{_datadir}/%name//usr/share/anjuta2/project/xlib-dock/src/
#%{_datadir}/%name//usr/share/anjuta2/project/anjuta-plugin/src/plugin.c
#%{_datadir}/%name//usr/share/anjuta2/project/gnome/src/
#%{_datadir}/%name//usr/share/anjuta2/project/mkfile/src/main.c

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*
%_libdir/%name/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.so
%{_libdir}/pkgconfig/libanjuta-1.0.pc
%_includedir/libanjuta-1.0
%_libdir/%name/*.*a



%changelog
* Mon Oct 01 2007 Funda Wang <fundawang@mandriva.org> 2.0.2-3mdv2007.1
+ Revision: 94388
- try disable subversion now
- fix BR of neon
- add missing BR
- BR intltool
  do not obsolete gnome-build
- fix bug#30521 by rebuilding anjuta and anjuta2
- move .pc into devel package

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Sun Sep 03 2006 Jerome Soyer <saispo@mandriva.org> 2.0.2-2mdv2007.0
- Fix schemas error

* Sun Sep 03 2006 Jerome Soyer <saispo@mandriva.org> 2.0.2-1mdv2007.0
- New release 2.0.2
- Remove patch3 and patch4
- Add patch5, patch6, patch7
- Add BuildRequires

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-10mdv2007.0
- Rebuild with latest dbus
- xdg menu

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 2.0.1-9mdk
- obsoletes and provides gnome-build 
	o (thanks Nicolas Lcureuil <neoclust@mandriva.org>)

* Thu Feb 23 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-8mdk
- fix deps

* Thu Feb 23 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-7mdk
- added fixes from Shiva Huang <shivahuang@gmail.com>:
   - fix bug about working with gtk+ 2.8.9 (P3, #20280)
   - fix pango > 1.8.1 rendering issues (P4, #18124)
   - fix menu entry (#16144)

* Thu Feb 23 2006 Shiva Huang <shivahuang@gmail.com> 2.0.1-7shiva
- fix bug about working with gtk+ 2.8.9 (Patch 3)
- fix pango > 1.8.1 rendering issues (Patch 4)
- fix menu entry

* Mon Feb 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-6mdk
- fix deps

* Mon Feb 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-5mdk
- make it buildrequire subversion so that the libsvn package is pulled in

* Mon Feb 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-4mdk
- fix buid (P0)

* Sun Nov 27 2005 Lenny Cartier <lenny@mandriva.com> 2.0.1-3mdk
- rebuild & reupload but I really don't know why some packages are disapearing...

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-2mdk
- rebuilt against new openldap-2.3.6 libs

* Wed Jun 29 2005 Lenny Cartier <lenny@mandriva.com> 2.0.1-1mdk
- 2.0.1

* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 2.0.0-3mdk
- move plugins to main packages

* Fri May 20 2005 Lenny Cartier <lenny@mandriva.com> 2.0.0-2mdk
- mklibname

* Wed May 18 2005 Austin Acton <austin@mandriva.org> 2.0.0-1mdk
- from Tigrux <tigrux@ximian.com> :
  - New version 2.0.0
  - Renamed to anjuta2 and added Conflict with anjuta < 2
  - Create tags in %%post

* Fri Mar 25 2005 Couriousous <couriousous@mandrake.org> 1.2.2-3mdk
- Amd64 fixes (libdir + patch from debian)
- Fix menu

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-2mdk
- Rebuild

* Thu Apr 22 2004 Michael Scherer <misc@mandrake.org> 1.2.2-1mdk 
- 1.2.2
- rpmbuildupdate aware

* Thu Feb 12 2004 Abel Cheung <deaddog@deaddog.org> 1.2.1-1mdk
- New version
- Patch1: parallel make now works
- Add more dependencies required by various kind of projects

* Mon Dec 08 2003 Michael Scherer <misc@mandrake.org> 1.2.0-1mdk
- 1.2.0
- Remove patch2, not used

* Sat Nov 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.98-2mdk
- Franck Villaume <fvill@freesurf.fr>
  - uncomment line BuildRequires : scrollkeeper

* Tue Nov 11 2003 Abel Cheung <deaddog@deaddog.org> 1.1.98-1mdk
- 1.1.98
- Rediff patch0
- some BuildRequires fixes for 64bit arch

